Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Interface NotificationEmitter

All Superinterfaces:
  NotificationBroadcaster

All Known Subinterfaces:
  AccessLogConfig, AdminObjectResourceConfig, AdminServiceConfig, AllDottedNames, AMX, AMXConfig, AMXCounterMonitor, AMXGaugeMonitor, AMXJMXMonitor, AMXStringMonitor, AppClientModule, AppClientModuleConfig, ApplicationMonitor, AuditModuleConfig, AuthRealmConfig, AvailabilityServiceConfig, BeanCacheMonitor, BeanMethodMonitor, BeanMonitor, BeanPoolMonitor, BulkAccess, ClusterConfig, ClusteredServerConfig, ConfigConfig, ConfigDottedNames, ConfigElement, ConnectionManagerMonitor, ConnectionPoolConfig, ConnectionQueueMonitor, ConnectorConnectionPoolConfig, ConnectorConnectionPoolMonitor, ConnectorModuleConfig, ConnectorResourceConfig, ConnectorServiceConfig, Container, CustomResourceConfig, DASConfig, DeployedItemRefConfig, DeploymentMgr, DNSMonitor, DomainConfig, DomainRoot, DottedNames, EJB, EJBContainerAvailabilityConfig, EJBContainerConfig, EJBModule, EJBModuleConfig, EJBModuleMonitor, EJBTimerServiceConfig, EntityBean, EntityBeanMonitor, FileCacheMonitor, HealthCheckerConfig, HTTPAccessLogConfig, HTTPFileCacheConfig, HTTPListenerConfig, HTTPListenerMonitor, HTTPProtocolConfig, HTTPServiceConfig, HTTPServiceMonitor, HTTPServiceVirtualServerMonitor, IIOPListenerConfig, IIOPServiceConfig, J2EEApplication, J2EEApplicationConfig, J2EECluster, J2EEDeployedObject, J2EEDomain, J2EELogicalServer, J2EEManagedObject, J2EEModule, J2EEResource, J2EEServer, JACCProviderConfig, JavaConfig, JavaMailResource, JCAConnectionFactory, JCAManagedConnectionFactory, JCAResource, JDBCConnectionPoolConfig, JDBCConnectionPoolMonitor, JDBCDataSource, JDBCDriver, JDBCResource, JDBCResourceConfig, JMSHostConfig, JMSResource, JMSResourceConfig, JMSServiceConfig, JMXConnectorConfig, JMXMonitorMgr, JNDIResource, JNDIResourceConfig, JTAResource, JVM, JVMMonitor, KeepAliveConfig, KeepAliveMonitor, LBClusterRefConfig, LBConfig, LifecycleModuleConfig, LogServiceConfig, MailResourceConfig, ManagerPropertiesConfig, MDBContainerConfig, MessageDrivenBean, MessageDrivenBeanMonitor, MessageSecurityConfig, ModuleConfig, ModuleLogLevelsConfig, ModuleMonitoringLevelsConfig, Monitoring, MonitoringDottedNames, MonitoringRoot, MonitoringServiceConfig, MonitoringStats, NamedConfigElement, NativeWebCoreThreadPoolMonitor, NativeWebCoreVirtualServerRequestMonitor, NodeAgentConfig, NotificationService, NotificationServiceMgr, ORBConfig, PersistenceManagerFactoryResourceConfig, ProfilerConfig, ProviderConfig, QueryMgr, QuorumServiceConfig, RARModuleConfig, RefConfig, RequestPolicyConfig, RequestProcessingConfig, ResourceAdapter, ResourceAdapterConfig, ResourceAdapterModule, ResourceConfig, ResourceRefConfig, ResponsePolicyConfig, RMIIIOPResource, Sample, SecurityServiceConfig, ServerConfig, ServerRefConfig, ServerRootMonitor, Servlet, ServletMonitor, SessionBean, SessionConfig, SessionManagerConfig, SessionPropertiesConfig, SSLConfig, SSLConfigContainer, StandaloneServerConfig, StatefulSessionBean, StatefulSessionBeanMonitor, StatelessSessionBean, StatelessSessionBeanMonitor, StorePropertiesConfig, SystemInfo, SystemPropertiesConfig, ThreadPoolConfig, ThreadPoolMonitor, TransactionServiceConfig, TransactionServiceMonitor, UploadDownloadMgr, URLResource, VirtualServerConfig, WebContainerAvailabilityConfig, WebContainerConfig, WebModule, WebModuleConfig, WebModuleVirtualServerMonitor

All Known Implementing Classes:
  MBeanServerDelegate, NotificationBroadcasterSupport, RequiredModelMBean

public interface NotificationEmitter
extends NotificationBroadcaster

Interface implemented by an MBean that emits Notifications. It allows a listener to be registered with the MBean as a notification listener.

This interface should be used by new code in preference to the `NotificationBroadcaster` interface.

Since:
  JMX 1.2

Method Summary
`void` | `removeNotificationListener(NotificationListener listener, NotificationFilter filter, java.lang.Object handback)` Removes a listener from this MBean.

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### removeNotificationListener

    public void removeNotificationListener(NotificationListener listener,
                                           NotificationFilter filter,
                                           java.lang.Object handback)
                                    throws ListenerNotFoundException

  Removes a listener from this MBean. The MBean must have a listener that exactly matches the given `listener`, `filter`, and `handback` parameters. If there is more than one such listener, only one is removed.

  The `filter` and `handback` parameters may be null if and only if they are null in a listener to be removed.

  Parameters:
    `listener` - A listener that was previously added to this MBean.
    `filter` - The filter that was specified when the listener was added.
    `handback` - The handback that was specified when the listener was added.
  Throws:
    `ListenerNotFoundException` - The listener is not registered with the MBean, or it is not registered with the given filter and handback.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.